#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;

    cin >> n;
    int a[n];

    //true kada moze
    map<pair<int, int>, bool> okviri;

    int poslednjaA = 0, poslednjaB = 0;

    for(int i = 0; i < n; i++)
    {
        cin >> a[i];

        /*if(i != 0 && a[i] < a[i - 1])
        {
            poslednjaA = poslednjaB;
            poslednjaB = i;
        }

        for(int j = 0; j < i; j++)
        {
            if(j > poslednjaA)
                okviri[{j, i}] = true;
            else
                okviri[{j, i}] = false;
        }*/
    }

    int q;

    cin >> q;

    for(int i = 0; i < q; i++)
    {
        int li, lj;

        cin >> li >> lj;

        if(li == lj)
            cout << "DA" << endl;
        else
        {
            int koriscenoBris = 0;
            for(int j = li; j < lj; j++)
            {
                if(a[j] < a[j - 1])
                {
                    if(koriscenoBris == 0)
                        koriscenoBris = 1;
                    else
                    {
                        cout << "NE" << endl;
                        koriscenoBris = 2;
                        break;
                    }
                }
            }

            if(koriscenoBris == 1 || koriscenoBris == 0)
                cout << "DA" << endl;
        }
    }

    return 0;
}